
Figure - Bug #114274
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】【压力测试】重复打开小窗50次，有4%-8%的概率不能成功打开
2022-12-02 16:33 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-02

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212020449

Resolution: INVALID Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、运行脚本

脚本内容：重复打开同一应用的小窗，查看小窗是否正常

【预期结果】

1、每次小窗都可以成功打开

【实际结果】

1、有4%-8%的概率不能成功打开小窗

【复现率】

5/5

出现该现象的应用：日历、视频、图库

History

#1 - 2022-12-08 11:24 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-09 17:54 - DL FW-张挽强

- File log(1).txt added

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-张挽强 to CD APP-李德盛

■ Current conclusion

50次失败2次，手顺启动日历小窗 进入recent从右侧连续启动日历小窗应用。

■ My analysis

根据log分析：
exitRecentTasks 退出recent传入type有问题 应该传入1(EXIT_RECENT_NEW_FREEFORM)

12-09 12:25:18.662 W/FreeFormWindowHelper( 1514): exitRecentTasks type=2

12-09 12:26:11.650 W/FreeFormWindowHelper( 1514): exitRecentTasks type=0

■ Next action

麻烦luncher的同事调查一下 调用接口传参的逻辑

#3 - 2022-12-23 17:24 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to 物联网测试组_CDTS 段小刚

- Resolution changed from -- to INVALID

- Degrated changed from -- to No

疑似测试脚本问题，请持续追踪

#4 - 2022-12-28 16:31 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

12.28

修改脚本，将小窗脚本添加强制等待后，没有出现报错了

#5 - 2022-12-28 16:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

221202150004HtmlTest.html 21.3 KB 2022-12-02 CD TEST-方永红

221202151206HtmlTest.html 21.3 KB 2022-12-02 CD TEST-方永红

log(1).txt 1.8 MB 2022-12-09 DL FW-张挽强
